<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>A-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="index: A">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerAdd.html#%3Cinit%3E()">ActionListenerAdd()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerAdd.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerAdd</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerAdd.html#%3Cinit%3E()">ActionListenerAdd()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerAdd.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerAdd</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerBack.html#%3Cinit%3E()">ActionListenerBack()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerBack.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerBack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerBack.html#%3Cinit%3E()">ActionListenerBack()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerBack.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerBack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerStart.ActionListenerComboBox.html#%3Cinit%3E()">ActionListenerComboBox()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerStart.ActionListenerComboBox.html" title="class in presentation_layer">ControllerStart.ActionListenerComboBox</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerComputeBill.html#%3Cinit%3E()">ActionListenerComputeBill()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerComputeBill.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerComputeBill</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerDelete.html#%3Cinit%3E()">ActionListenerDelete()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerDelete.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerDelete</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerDelete.html#%3Cinit%3E()">ActionListenerDelete()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerDelete.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerDelete</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerEdit.html#%3Cinit%3E()">ActionListenerEdit()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerEdit.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerEdit</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerViewAll.html#%3Cinit%3E()">ActionListenerViewAll()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerViewAll.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerViewAll</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerViewAll.html#%3Cinit%3E()">ActionListenerViewAll()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerViewAll.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerViewAll</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerAdd.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerAdd.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerAdd</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerBack.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerBack.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerBack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerDelete.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerDelete.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerDelete</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerEdit.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerEdit.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerEdit</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerViewAll.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerViewAll.html" title="class in presentation_layer">ControllerAdministratorGUI.ActionListenerViewAll</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerStart.ActionListenerComboBox.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerStart.ActionListenerComboBox.html" title="class in presentation_layer">ControllerStart.ActionListenerComboBox</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerAdd.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerAdd.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerAdd</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerBack.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerBack.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerBack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerComputeBill.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerComputeBill.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerComputeBill</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerDelete.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerDelete.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerDelete</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerViewAll.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.ActionListenerViewAll.html" title="class in presentation_layer">ControllerWaiterGUI.ActionListenerViewAll</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewAdministratorGUI.html#addAddBtnListener(java.awt.event.ActionListener)">addAddBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewAdministratorGUI.html" title="class in presentation_layer">ViewAdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewWaiterGUI.html#addAddBtnListener(java.awt.event.ActionListener)">addAddBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewWaiterGUI.html" title="class in presentation_layer">ViewWaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewAdministratorGUI.html#addBackBtnListener(java.awt.event.ActionListener)">addBackBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewAdministratorGUI.html" title="class in presentation_layer">ViewAdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewWaiterGUI.html#addBackBtnListener(java.awt.event.ActionListener)">addBackBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewWaiterGUI.html" title="class in presentation_layer">ViewWaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewWaiterGUI.html#addComputeBillBtnListener(java.awt.event.ActionListener)">addComputeBillBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewWaiterGUI.html" title="class in presentation_layer">ViewWaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewAdministratorGUI.html#addDeleteBtnListener(java.awt.event.ActionListener)">addDeleteBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewAdministratorGUI.html" title="class in presentation_layer">ViewAdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewWaiterGUI.html#addDeleteBtnListener(java.awt.event.ActionListener)">addDeleteBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewWaiterGUI.html" title="class in presentation_layer">ViewWaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewAdministratorGUI.html#addEditBtnListener(java.awt.event.ActionListener)">addEditBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewAdministratorGUI.html" title="class in presentation_layer">ViewAdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewStart.html#addListenerComboBox(java.awt.event.ActionListener)">addListenerComboBox(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewStart.html" title="class in presentation_layer">ViewStart</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/IRestaurantProcessing.html#addNewMenuItem(business_layer.MenuItem)">addNewMenuItem(MenuItem)</a></span> - Method in interface business_layer.<a href="../business_layer/IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/Restaurant.html#addNewMenuItem(business_layer.MenuItem)">addNewMenuItem(MenuItem)</a></span> - Method in class business_layer.<a href="../business_layer/Restaurant.html" title="class in business_layer">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewAdministratorGUI.html#addViewAllBtnListener(java.awt.event.ActionListener)">addViewAllBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewAdministratorGUI.html" title="class in presentation_layer">ViewAdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewWaiterGUI.html#addViewAllBtnListener(java.awt.event.ActionListener)">addViewAllBtnListener(ActionListener)</a></span> - Method in class presentation_layer.<a href="../presentation_layer/ViewWaiterGUI.html" title="class in presentation_layer">ViewWaiterGUI</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
